/****************************************************************************
       	   img2txt - Display a DT2851 image file in ASCII on stdot
	 Copyright (C) 1997..1999 Walter Fetter Lages <w.fetter@ieee.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/

#include <fstream.h>
#include <iostream.h>

int main(int argc,char *argv[])
{
	if(argc != 2)
	{
		cout << "\nimg2txt imgfile\n";
		cout << "Copyright (C) 1997..1999 Walter Fetter Lages <w.fetter@ieee.org>.\n\n";
		cout << "Display a DT2851 image file in ASCII on stdout\n";
		return -1;
	}

	ifstream imgfile(argv[1],ios::in | ios::bin);
	if (!imgfile)
	{
		cout << "Can't open input file.\n\n";
		return -2;
	}
	for(int y=0;y < 480;y++)
	{
		unsigned char line[512];

		imgfile.read(line,sizeof(line));
		for(int x=0;x < 512;x++) cout << (int) line[x] << " ";
		cout << "\n";
	}
	return 0;
}

