/*****************************************************************************
               RTIMG - Display a DT2851 image in real time
	Copyright (C) 1997..1999 Walter Fetter Lages <w.fetter@ieee.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*****************************************************************************/

#include <fcntl.h>
#include <fstream.h>
#include <iostream.h>
#include <sys/ioctl.h>
#include <unistd.h>

#include <dt2851.h>
#include <dt2851io.h>

int main(void)
{
	cout << "\nRTIMG - Display a DT2851 image in real time.\n";
	cout << "Copyright (C) 1997..1999 Walter Fetter Lages <w.fetter@ieee.org>.\n\n";

/* DT2851 initialization */

	int cs=open("/dev/fgacs",O_RDWR);

// Lut initialization
	int ilut=open("/dev/fgailut0",O_RDWR);
	int olut=open("/dev/fgaolut0",O_RDWR);

	ioctl(cs,CS_SELOBUF,0);
	ioctl(cs,CS_SELIBUF,0);

	ioctl(cs,CS_SELILUT,0);
	ioctl(cs,CS_SELOLUT,0);

	ioctl(cs,CS_SETTIMING,EXTTIM51);
	ioctl(cs,CS_SETMODE,VIDEO_IN51);
	ioctl(cs,CS_DISPLAYON);

/* acquire images */
	ioctl(cs,CS_START,MULTIPLE51);

	close(cs);
	close(ilut);
	close(olut);

	return 0;
}

